> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Experiments Available Columns

> Procures the column information for experiments.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/experiments/available_columns
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/experiments/available_columns:
    post:
      tags:
        - experiment
      summary: Experiments Available Columns
      description: Procures the column information for experiments.
      operationId: >-
        experiments_available_columns_v2_projects__project_id__experiments_available_columns_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentsAvailableColumnsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ExperimentsAvailableColumnsResponse:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/ColumnInfo'
          type: array
          title: Columns
      type: object
      title: ExperimentsAvailableColumnsResponse
      examples:
        - columns:
            - applicable_types: []
              category: standard
              data_type: uuid
              description: Galileo ID of the experiment
              filterable: true
              group_label: Standard
              id: id
              is_empty: false
              is_optional: false
              label: ID
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: timestamp
              description: Timestamp of the experiment's creation
              filterable: true
              group_label: Standard
              id: created_at
              is_empty: false
              is_optional: false
              label: Created
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: timestamp
              description: Timestamp of the trace or span's last update
              filterable: true
              group_label: Standard
              id: updated_at
              is_empty: false
              is_optional: true
              label: Last Updated
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: text
              description: Name of the experiment
              filterable: true
              group_label: Standard
              id: name
              is_empty: false
              is_optional: false
              label: Name
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: uuid
              description: Galileo ID of the project associated with this experiment
              filterable: true
              group_label: Standard
              id: project_id
              is_empty: false
              is_optional: false
              label: Project ID
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: floating_point
              filterable: true
              group_label: Standard
              id: ranking_score
              is_empty: false
              is_optional: true
              label: Ranking Score
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: uuid
              filterable: true
              group_label: Standard
              id: playground_id
              is_empty: false
              is_optional: true
              label: Playground Id
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: uuid
              filterable: true
              group_label: Standard
              id: experiment_group_id
              is_empty: false
              is_optional: true
              label: Experiment Group Id
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: text
              filterable: true
              group_label: Standard
              id: experiment_group_name
              is_empty: false
              is_optional: true
              label: Experiment Group Name
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: standard
              data_type: boolean
              filterable: true
              group_label: Standard
              id: experiment_group_is_system
              is_empty: false
              is_optional: true
              label: Experiment Group Is System
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: metric
              data_type: floating_point
              filterable: true
              id: metrics/average_cost
              is_empty: false
              is_optional: false
              label: Average Cost
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: metric
              data_type: floating_point
              filterable: true
              id: metrics/average_bleu
              is_empty: false
              is_optional: false
              label: Average Bleu
              multi_valued: false
              sortable: true
            - applicable_types: []
              category: metric
              data_type: integer
              filterable: true
              id: metrics/total_responses
              is_empty: false
              is_optional: false
              label: Total Responses
              multi_valued: false
              sortable: true
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ColumnInfo:
      properties:
        id:
          type: string
          title: Id
          description: Column id.  Must be universally unique.
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
          description: Display label of the column in the UI.
        category:
          $ref: '#/components/schemas/ColumnCategory'
          description: Category of the column.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the column.
        group_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Label
          description: Display label of the column group.
        data_type:
          anyOf:
            - $ref: '#/components/schemas/DataType'
            - type: 'null'
          description: >-
            Data type of the column. This is used to determine how to format the
            data on the UI.
        data_unit:
          anyOf:
            - $ref: '#/components/schemas/DataUnit'
            - type: 'null'
          description: Data unit of the column (optional).
        multi_valued:
          type: boolean
          title: Multi Valued
          description: Whether the column is multi-valued.
          default: false
        allowed_values:
          anyOf:
            - items: {}
              type: array
              uniqueItems: true
            - type: 'null'
          title: Allowed Values
          description: Allowed values for this column.
        sortable:
          type: boolean
          title: Sortable
          description: Whether the column is sortable.
        filterable:
          type: boolean
          title: Filterable
          description: Whether the column is filterable.
        is_empty:
          type: boolean
          title: Is Empty
          description: Indicates whether the column is empty and should be hidden.
          default: false
        applicable_types:
          items:
            $ref: '#/components/schemas/StepType'
          type: array
          uniqueItems: true
          title: Applicable Types
          description: List of types applicable for this column.
        is_optional:
          type: boolean
          title: Is Optional
          description: Whether the column is optional.
          default: false
        roll_up_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Roll Up Method
          description: >-
            Default roll-up aggregation method for this metric (e.g., 'sum',
            'average').
        metric_key_alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric Key Alias
          description: >-
            Alternate metric key for this column. When scorer UUIDs are used as
            column IDs, this holds the legacy metric_name string for dual-key
            ClickHouse query fallback.
      type: object
      required:
        - id
        - category
        - data_type
      title: ColumnInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ColumnCategory:
      type: string
      enum:
        - standard
        - metric
        - user_metadata
        - metric_status
        - dataset_metadata
        - dataset
        - feedback
        - tags
      title: ColumnCategory
    DataType:
      type: string
      enum:
        - uuid
        - text
        - integer
        - floating_point
        - boolean
        - timestamp
        - string_list
        - tag
        - dataset
        - prompt
        - playground
        - rank
        - category_count
        - score_rating_aggregate
        - star_rating_aggregate
        - thumb_rating_aggregate
        - tags_rating_aggregate
        - text_rating_aggregate
        - annotation_agreement
        - fully_annotated
      title: DataType
    DataUnit:
      type: string
      enum:
        - percentage
        - nano_seconds
        - milli_seconds
        - dollars
        - count_and_total
      title: DataUnit
    StepType:
      type: string
      enum:
        - llm
        - retriever
        - tool
        - workflow
        - agent
        - control
        - trace
        - session
      title: StepType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````